package com.alihealth.d2d.provtest.entity;

import com.alihealth.d2d.provtest.domain.DomesticProducer;
import lombok.Data;

import javax.xml.bind.annotation.*;
import java.util.ArrayList;
import java.util.List;

/**
 * @author Jason
 * @date 2025年05月30日 11:45:00
 */
@XmlRootElement(name = "VTTSBasic")
@XmlAccessorType(XmlAccessType.FIELD)
@Data
@XmlSeeAlso({DomesticProducer.class})
public class VTTSBasic<T> {
    @XmlElement(name = "datasetName")
    private String datasetName;

    @XmlElementWrapper(name = "dataset")
    //@XmlElements(@XmlElement(name = "data"))
    @XmlElement(name = "data")
   // private List<T> dataset; // 必须初始化集合
    private List<DomesticProducer> dataset;

    // 确保有无参构造器
    public VTTSBasic() {}
}
